2 Replies Latest reply on Sep 16, 2020 9:06 PM by NoTa_4591161

    Community Translation - “Not a valid CySmart dongle!” error when using CySmart C# APIs - KBA231268

    NoTa_4591161

      Hi,               

       

      I would like to translate KBA231268 into Japanese.

      Please confirm to my work.

       

      Thanks,

      Kenshow

        • 2. Re: Community Translation - “Not a valid CySmart dongle!” error when using CySmart C# APIs - KBA231268
          NoTa_4591161

          Hi Jenna-san,

                                          

          Japanese translation was over.
          Please check below.

           

          Original KBA:

          “Not a valid CySmart dongle!” error when using CySmart C# APIs - KBA231268

           

          Thanks.

          Kenshow

          ==============================

           

          タイトル: 「有効なCySmartドングルではありません!」CySmart C#API使用時のエラー - KBA231268

           

          バージョン:**

           

          質問:

          CySmart APIを使用してC#でアプリケーションを作成しています。TryGetCySmartDongleCommunicator APIを使用してCySmartドングルと通信すると、「Not a valid CySmart dongle有効なCySmartドングルではありません)」というエラーが表示されます。 このエラーを回避するにはどうすればよろしいでしょうか?

           

          回答:

          CySmartソフトウェアは、追加された新しいドングルサポートのためにアップデートを定期的に受け取ります。このエラーは、C#アプリケーションが新しいデバイスを認識しないで古いDLLを使用しているために発生します。

          次の手順に従って、アプリケーションを最新のDLLに更新します。

          1. 最新のCySmartソフトウェアをインストールします。
          2. Visual StudioC#アプリケーションを開きます。
          3. ソリューションエクスプローラウィンドウで、次のようにプロジェクトの[ References ]セクションを開きます:
              
          4. すべてのCySmart DLLを右クリックし、[ Remove ]をクリックします。
              
          5. References > Add Reference > Browse を右クリックします。次のパスから最新のDLLを追加します:「C:\Program Files (x86)\Cypress\CySmart\1.x\bin」(xは最新のマイナーバージョンです)。
              
          6. [OK]クリックします。

           

          今すぐアプリケーションを実行してください。これでCySmartドングルを認識できるはずです。

           

          ==============================

          17-Sept-2020

          Kenshow